Skip to main content
`Ctrl`+`K`

# smallpond.logical.node.LogicalPlanVisitor

class smallpond.logical.node.LogicalPlanVisitor(*args, **kwds)

  Visit the nodes of a logcial plan in depth-first order.

  __init__()

  Methods

  `__init__`() |
  `generic_visit`(node, depth) | This visitor calls visit() on all children of the node.
  `visit`(node[, depth]) | Visit a node depending on its type.
  `visit_arrow_compute_node`(node, depth) |
  `visit_arrow_stream_node`(node, depth) |
  `visit_consolidate_node`(node, depth) |
  `visit_data_sink_node`(node, depth) |
  `visit_data_source_node`(node, depth) |
  `visit_limit_node`(node, depth) |
  `visit_partition_node`(node, depth) |
  `visit_projection_node`(node, depth) |
  `visit_python_script_node`(node, depth) |
  `visit_query_engine_node`(node, depth) |
  `visit_root_node`(node, depth) |
  `visit_union_node`(node, depth) |